local M = {}

local function changeSensitivity(newVal)
    --log("I", "lookAhead", "lookahead.changeSensitivity("..newVal..")")
	obj:queueGameEngineLua('extensions.use("bluetac_settings").setValue("lookaheadSensitivity", '..newVal..')')
	--obj:queueGameEngineLua('extensions.core_camera.resetCamera(0)')
end

local function changeLinearity(newVal)
    --log("I", "lookAhead", "lookahead.changeLinearity("..newVal..")")
	obj:queueGameEngineLua('extensions.use("bluetac_settings").setValue("lookaheadLinearity", '..newVal..')')
	--obj:queueGameEngineLua('extensions.core_camera.resetCamera(0)')
end

local function getSensitivity()
    --log("I", "lookAhead", "lookahead.getSensitivity()")
	obj:queueGameEngineLua('extensions.use("bluetac_settings").getValue("lookaheadSensitivity")')
	--obj:queueGameEngineLua('extensions.core_camera.resetCamera(0)')
end

local function getLinearity()
    --log("I", "lookAhead", "lookahead.getLinearity()")
	obj:queueGameEngineLua('extensions.use("bluetac_settings").getValue("lookaheadLinearity")')
	--obj:queueGameEngineLua('extensions.core_camera.resetCamera(0)')
end

local function toggleReverseCam(val)
	obj:queueGameEngineLua('extensions.use("bluetac_settings").setValue("lookaheadReverseCam", '..tostring(val)..')')
	obj:queueGameEngineLua('extensions.core_camera.resetCamera(0)')
end

M.toggleReverseCam = toggleReverseCam
M.changeSensitivity = changeSensitivity
M.changeLinearity = changeLinearity

return M
