local M = {}

local function initCam()
    local playerId = 0

    local activeCam = extensions.use('core_camera').getActiveCamName()

    log("I", "driveAhead", "apply custom camera loading fix")
    extensions.reload('core_camera') --proper reload broken in 0.21 :(

    --fix for 0.21: load unloaded dependencies manually and reload car
    extensions.reload('core_sounds')
    extensions.reload('editor_main')
    be:getPlayerVehicle(playerId):reload()
    --try set camera for player to avoid freecam (does not work because vehicle is not completly spawned yet)
    --extensions.core_camera.setByName(playerId, activeCam)
    ui_message({txt='ui.camera.switched', context={name="freecam"}}, 10, 'cameramode')
end

M.initCam = initCam

return M
